gRPC C#
gRPC C#
Namespaces
Grpc.Core
Channel Class
Channel Methods
ConnectAsync Method
ShutdownAsync Method
WaitForStateChangedAsync Method

Channel ShutdownAsync Method

Waits until there are no more active calls for this channel and then cleans up resources used by this channel.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Task ShutdownAsync()

    Public Function ShutdownAsync As Task

    public:
    Task^ ShutdownAsync()

    member ShutdownAsync : unit -> Task

#### Return Value

Type: Task
See Also

#### Reference

Channel Class
Grpc.Core Namespace